Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517634 - [docs] disconnected installation describes wrong order to create ImageStream and push images
Summary: [docs] disconnected installation describes wrong order to create ImageStream ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Gaurav Nelson
QA Contact: Dongbo Yan
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 06:46 UTC by Kenjiro Nakayama
Modified: 2018-05-09 00:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-10 00:03:48 UTC


Attachments (Terms of Use)

Description Kenjiro Nakayama 2017-11-27 06:46:31 UTC
Section Number and Name:

  https://docs.openshift.com/container-platform/3.6/install_config/install/disconnected_install.html#disconnected-editing-the-image-stream-definitions

- Editing the Image Stream Definitions
- Loading the Container Images

Describe the issue:

Currently, the docs describes with this order:

step-1. create ImageStream

  3. Load the updated image stream definitions:
   
    # oc create -f /usr/share/openshift/examples/image-streams/image-streams-rhel7.json -n openshift
    # oc create -f /usr/share/openshift/examples/xpaas-streams/jboss-image-streams.json -n openshift

step-2. Push image (in the next section)

  2. Push the Docker images:

    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:1.1
    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:1.2
    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:latest

This causes following error, as therea are no images until docker push finished.

  # oc describe is ruby
  ... 
    ! error: Import failed (NotFound): dockerimage "172.30.x.x:5000/openshift/ruby-23-rhel7:latest" not found

Suggestions for improvement:

After docker push, ImageStream should be created.

(e.g)
    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:1.1
    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:1.2
    # docker push $REGISTRY:5000/openshift/webserver30-tomcat7-openshift:latest

then,

    # oc create -f /usr/share/openshift/examples/image-streams/image-streams-rhel7.json -n openshift
    # oc create -f /usr/share/openshift/examples/xpaas-streams/jboss-image-streams.json -n openshift

Comment 1 Gaurav Nelson 2017-12-13 02:16:49 UTC
Thank you @Kenjiro.

I have created a pull request[1] to update this one. 

Please check the rendered changes in https://github.com/gaurav-nelson/openshift-docs/blob/bd0c7bfa348e2cf4fac84ca3d7c162b812cdfcc2/install_config/install/disconnected_install.adoc#loading-the-container-images 

[1] https://github.com/openshift/openshift-docs/pull/6740

Comment 2 Kenjiro Nakayama 2017-12-13 12:03:37 UTC
Hi @Gaurav

Thank you for your PR. As for my requested part, LGTM.

Comment 3 openshift-github-bot 2017-12-14 23:39:34 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/aa04dc55cb5cc6f66a6ffdd3001ebb295c4021f0
Merge pull request #6740 from gaurav-nelson/bug1517634-fixes

Bug#1517634 - Rearranged instructions and corrected formatting


Note You need to log in before you can comment on or make changes to this bug.